body {
    background-color: #f8f9fc;
}
.custom-container {
    width: 100% !important;
    margin: 0px;
    padding: 0px;
}
.custom-bg {
    background: linear-gradient(to left, #00c8b2, #0289c0);
    width: 100%;
    margin: 0px;
    display: grid;
    margin-bottom: 20px;
}
.rtl {
    direction: rtl;
    text-align: right;
    color: white;
}
.flex-row {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}
.header-image {
    max-width: 100%;
    height: auto;
}
.project-card {
    border-radius: 32px;
    /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); */
    margin-bottom: 20px;
    background: #ffffff;
    border: 1px solid #e2e6ee;
}

.serv-logo img {
    width: 120px !important;
    height: 120px !important;
    border-radius: 45px !important;
    margin-bottom: 40px;
}
.head-text-request h4 {
    font-family: IBM Plex Sans Arabic;
    font-size: 20px;
    font-weight: 500;
    line-height: 30px;
    color: #34363b;
    padding: 11px 0;
}
.head-text-request p {
    font-family: IBM Plex Sans Arabic;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 0.10000000149011612px;
    color: #626c83;
}
.services_provider_card {
    min-height: 437px !important;
    padding: 25px !important;
}

.services_provider_card_container {
    padding-inline: 10px !important;
}

.butn-res {
    display: none;
}
.offer-container {
    padding: 0 70px;
}
.badge.bg-success {
    width: fit-content;
    display: flex;
    align-items: center;
    height: 32px;
    padding: 4px 10px 4px 10px;
    border-radius: 15px;
    background-color: #ecfaf2 !important;
    color: #41c980;
}
.badge.bg-danger {
    width: fit-content;
    display: flex;
    align-items: center;
    height: 32px;
    padding: 4px 10px 4px 10px;
    border-radius: 15px;
    background-color: #fdeeee !important;
    color: #eb5757;
}
.bell-icn {
    width: 38px;
    height: 38px;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #00c1a51a;
}
.bell-icn > i {
    color: #0277c4;
}
.main-title p {
    font-family: IBM Plex Sans Arabic;
    font-size: 18px;
    font-weight: 600;
    line-height: 33.6px;
    color: #34363b;
}
.custom-notify-div {
    padding: 0 70px;
}

.custom-notify-div > div > div > div > a {
    margin-right: 0px !important;
}

.custom-notify-div > div > div {
    padding: 0;
}
.custom-filters-div {
    display: flex;
    gap: 25px;
}
.head-not {
    font-size: 16px;
    font-weight: 500;
    text-align: right;
    color: #34363b;
    padding-right: 10px;
}
.head-time {
    font-size: 11px;
    font-weight: 400;
    text-align: left;
    color: #626c83;
}
.card-bb {
    padding: 13px 0 0;
}
.card-bb > p {
    padding: 0px;
}
.notify-card {
    padding: 8px !important;
    border-radius: 16px;
    margin-bottom: 20px;
    background: #ffffff;
}
.not_fount_notification {
    padding: 50px !important;
}
.notify-card .card-header {
    background-color: transparent;
    border-bottom: none;
    padding: 0;
}
.badge.bg-warning {
    width: fit-content;
    display: flex;
    align-items: center;
    height: 32px;
    padding: 4px 10px 4px 10px;
    border-radius: 15px;
    background-color: #fff6e6 !important;
    color: #ffa800;
}
.projected-card {
    position: relative;
    border-radius: 32px;
}
.projected-card img {
    width: 75px;
    height: 75px;
    padding: 4px;
    border-radius: 50%;
}
.projected-card .card-header {
    background-color: transparent;
    border-bottom: none;
    font-size: 1.1em;
    background-color: #ffffff;
    border-top-left-radius: 32px;
    border-top-right-radius: 32px;
}
.projected-card .card-body {
    font-size: 0.9em;
}
.request-button-res {
    display: none !important;
}
.projected-card .btn-details {
    background-color: #00c4cc;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 5px 15px;
}
.project-card {
    position: relative;
}
.fav-card .btn-details {
    background-color: #00c4cc;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 5px 15px;
}

.fav-card {
    position: relative;
    border-radius: 32px;
}
.fav-card img {
    width: 75px;
    height: 75px;
    padding: 4px;
    border-radius: 50%;
}
.fav-card .card-header {
    background-color: transparent;
    border-bottom: none;
    font-size: 1.1em;
    background-color: #ffffff;
    border-top-left-radius: 32px;
    border-top-right-radius: 32px;
}
.fav-card .card-body {
    font-size: 0.9em;
}

.offer-card .btn-details {
    background-color: #00c4cc;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 5px 15px;
}

.offer-card {
    position: relative;
    border-radius: 32px;
}
.offer-card img {
    width: 75px;
    height: 75px;
    padding: 4px;
    border-radius: 50%;
}
.offer-card .card-header {
    background-color: transparent;
    border-bottom: none;
    font-size: 1.1em;
    background-color: #ffffff;
    border-top-left-radius: 32px;
    border-top-right-radius: 32px;
}
.offer-card .card-body {
    font-size: 0.9em;
}
.favourits {
    display: flex;
    border: 1px solid #e2e6ee;
    padding: 0 !important;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}
.pending-status-button {
    color: #ffa800;
}
.status-btn-div {
    background-color: #eff7ff !important;
    background-image: none !important;
}
.status-btn-div > p {
    color: #0277c4;
    padding: 0.375rem 0.75rem;
}
.foot-sec {
    min-height: 58vh;
}
.pending-btn-div > p {
    padding: 0.375rem 0.75rem;
}
.rejected-btn-div > p {
    padding: 0.375rem 0.75rem;
}
.favourit-msg {
    display: flex;
    /* border: 1px solid #e2e6ee; */
    padding: 0 !important;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    width: 44px;
    height: 44px;
    border-radius: 12px;
    background: #f9fafb;
}
.hide-in-mobile {
    gap: 20px;
}
.hide-in-mobiles {
    gap: 20px;
}
.project-card .ser-img {
    width: 75px;
    height: 75px;
    padding: 4px;
    border-radius: 50%;
}
.project-card .img-bgg {
    width: 100%;
    height: fit-content;
    position: absolute;
    bottom: 0;
    border-radius: 40px;
    left: 0;
    right: 0;
}

.display-flex-col-jcenter-acenter > div > h4 {
    font-family: IBM Plex Sans Arabic;
    font-size: 16px;
    padding: 10px;
    font-weight: 500;
    line-height: 24px;
    letter-spacing: 0.15000000596046448px;
    color: #34363b;
}
.display-flex-col-jcenter-acenter > div > p {
    font-family: IBM Plex Sans Arabic;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    letter-spacing: 0.25px;
    color: #626c83;
}
.cardd-ser {
    display: flex;
    gap: 16px;
}
.project-card .card-header {
    background-color: transparent;
    border-bottom: none;
    font-size: 1.1em;
}
.project-card .card-body {
    font-size: 0.9em;
}
.project-card .btn-details {
    background-color: #00c4cc;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 5px 15px;
}

.filter-section {
    margin-bottom: 7px;
    margin-left: 20px;
}
.input-group {
    width: 180px;
}
.form-select {
    width: 90%;
    padding: 5px;
    background: #ffffff;
    border: 1px solid #f1f3f9;
    border-radius: 10px;
    color: #96a0b6;
}
.card-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #f8f9fc;
    width: 100%;
    padding: 10px 0;
    border-radius: 10px;
}
.card-item > p strong {
    font-size: 14px;
    font-weight: 500;
    color: #34363b;
}
.card-item > p {
    font-size: 14px;
    font-weight: 500;
    color: #626c83;
}
.custom-card-btns > div > p {
    font-size: 16px !important;
    font-weight: 500 !important;
}
.card-itemm {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #f8f9fc;
    width: 100%;
    padding: 10px 0;
    border-radius: 12px;
}
.projected-card .card-body {
    background-color: #ffffff;
    min-height: 250px;
    display: flex;
    justify-content: end;
    flex-direction: column;
    border-bottom-left-radius: 32px;
    border-bottom-right-radius: 32px;
}
.projected-card .card-body > div {
    gap: 10px;
}
.fav-card .card-body {
    background-color: #ffffff;
    min-height: 205px;
    display: flex;
    justify-content: end;
    flex-direction: column;
    border-bottom-left-radius: 32px;
    border-bottom-right-radius: 32px;
}
.fav-card .card-body > div {
    gap: 10px;
}
.offer-card .card-body {
    background-color: #ffffff;
    min-height: 250px;
    display: flex;
    justify-content: end;
    flex-direction: column;
    border-bottom-left-radius: 32px;
    border-bottom-right-radius: 32px;
}
.offer-card .card-body > div {
    gap: 10px;
}
.card-itemm > p strong {
    font-size: 14px;
    font-weight: 600;
    color: #34363b;
}
.card-itemm > p {
    font-size: 14px;
    font-weight: 500;
    color: #626c83;
}
.increase-width-mobile {
    height: 56px;
    padding: 14px 28px;
    width: 100% !important;
    border-radius: 8px !important;
}
.request-button {
    background-color: #e6f2ff !important; /* Set the background color */
    color: transparent; /* Make the text color transparent */
    border-radius: 12px;
    background-clip: text;
    align-items: center;
    background-image: linear-gradient(to left, #00c8b2, #0289c0);
    -webkit-background-clip: text; /* For Safari/Chrome */
    -webkit-text-fill-color: transparent; /* For Safari/Chrome */
    position: relative; /* Ensures the icon is not affected */
    display: flex;
}
.request-button-res {
    background-color: #e6f2ff !important; /* Set the background color */
    color: transparent; /* Make the text color transparent */
    border-radius: 10px;
    background-clip: text;
    align-items: center;
    background-image: linear-gradient(to left, #00c8b2, #0289c0);
    -webkit-background-clip: text; /* For Safari/Chrome */
    -webkit-text-fill-color: transparent; /* For Safari/Chrome */
    position: relative; /* Ensures the icon is not affected */
    display: flex;
}
.btn-img img {
    background-color: #e6f2ff; /* Set the icon's background color */
    padding: 5px; /* Optional: Add padding to the icon */
    border-radius: 5px; /* Optional: Add border radius to match button style */
    z-index: 1; /* Ensure the icon is above any background elements */
    width: 30px;
    height: 30px;
}

.btn-div-bg {
    background-color: #e6f2ff;
    border-radius: 10px;
}
.btn-div-bgs {
    background-color: #e6f2ff;
    border-radius: 10px;
}
.personal-img-container {
    border: 2px solid #00cfb1;
    border-radius: 50%;
    position: relative;
    display: inline-block;
}

.favourit {
    padding-left: 1em;
}
.request-button {
    background-color: transparent;
}
.request-button-res {
    background-color: transparent;
}
.remove-bg-color {
    background-color: transparent !important;
}
.custom-fav-mobile {
    display: none;
    flex-direction: row;
    justify-content: start;
    visibility: hidden;
}
.custom-container .row {
    width: 100%;
    /* padding: 0 70px; */
    /* padding: 0 52px 0 50px; */
    margin-right: 0px;
    margin-left: 0;
}

.custom-filter-section {
    padding: 0 52px 0 50px;
}

.custom-footer-section {
    padding: 0 40px 0 60px !important;
}

.search-icon-left {
    left: unset !important;
    right: 30px !important;
}
.search-icn {
    position: absolute;
    left: 25px;
}
.search-icn-cust {
    position: absolute;
    left: 10px;
}
.ar-search {
    transform: scaleX(-1);
}

.calendar-margin {
    margin: 0 5px 0 5px;
}

.custom-btn-padding {
    padding-inline: 15px;
}

.custom-heart-btn {
    padding-top: 10px;
    background-image: linear-gradient(to left, #0277c4, #0277c4);
}

.active_profile {
    position: absolute !important;
    top: 8%;
    left: 82%;
    background-color: #00cfb1 !important;
}

.status-indicator {
    position: absolute;
    top: 5px;
    right: 5px;
    width: 10px;
    height: 10px;
    background-color: #00cfb1;
    border: 2px solid #00cfb1;
    border-radius: 50%;
}
.request-cont {
    padding: 0 70px;
}

.custom-label-text {
    font-size: 16px !important;
    font-weight: 500 !important;
    line-height: 24px !important;
    color: #000000 !important;
}

.custom-title-text {
    font-size: 20px !important;
    font-weight: 500 !important;
    line-height: 30px !important;
    color: #34363b !important;
}

.custom-small-text {
    font-size: 14px !important;
    font-weight: 500 !important;
    line-height: 20px !important;
    color: #626c83 !important;
}

.custom-description-text {
    font-size: 14px !important;
    font-weight: 400 !important;
    line-height: 20px !important;
    letter-spacing: 0.25px !important;
    color: #626c83 !important;
}

.custom-main-label-text {
    font-size: 14px !important;
    font-weight: 500 !important;
    line-height: 20px !important;
    color: #34363b !important;
}

.custom-sub-label-text {
    font-size: 12px !important;
    font-weight: 500 !important;
    line-height: 16px !important;
    color: #626c83 !important;
}

.custom-button-text {
    font-size: 16px !important;
    font-weight: 500 !important;
    line-height: 24px !important;
}

.custom-input-text {
    font-size: 16px !important;
    font-weight: 400 !important;
    line-height: 24px !important;
    color: #96a0b6 !important;
}

.custom-status-btn-text {
    font-weight: 400 !important;
    font-size: 14px !important;
    line-height: 20px !important;
}

.custom-normal-btn-text {
    font-size: 16px !important;
    font-weight: 500 !important;
    line-height: 24px !important;
}

.custom-filter-btns-text {
    font-size: 16px !important;
    font-weight: 400 !important;
    line-height: 24px !important;
    color: #626c83 !important;
}

.custom-selected-text {
    font-weight: 600 !important;
    border-bottom: 2px solid transparent !important;
    background: linear-gradient(63.43deg, #0277c4 0%, #00cfb1 87%);
    -webkit-background-clip: text !important;
    -webkit-text-fill-color: transparent !important;
    background-clip: text !important;
    border-image: linear-gradient(63.43deg, #0277c4 0%, #00cfb1 87%) !important;
    border-image-slice: 1 !important;
}

.custom-page-title-text {
    font-size: 18px !important;
    font-weight: 600 !important;
    line-height: 27px !important;
    color: #34363b !important;
}

.custom-filters-with-title-div {
    padding: 0 !important;
}

@media (max-width: 2000px) {
    .custom-container .row {
        padding: 0 0px;
    }

    .custom-filter-section {
        padding: 0 53px !important;
        margin-bottom: 100px;
    }

    .custom-footer-section {
        padding: 0 40px 0 60px !important;
    }
}
@media (max-width: 1300px) {
    .increase-width-mobile {
        height: 56px;
        padding: 14px 0px;
    }
}
@media (max-width: 992px) {
    .increase-width-mobile {
        width: 100% !important;
    }
    .custom-container .card-ress {
        flex-direction: column;
    }
}
@media (max-width: 768px) {
    .res-row {
        gap: 20px;
    }
    .filter-section {
        margin-bottom: 7px;
        margin-left: 20px;
    }

    .increase-width-mobile {
        width: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .custom-filter-section {
        padding: 0 20px !important;
        margin-bottom: 50px;
    }

    .custom-footer-section {
        padding: 0px !important;
    }
    .search-container {
        padding: 0;
    }

    .offer-container {
        padding: 0 20px;
    }

    .custom-ress-offer .custom-label-text {
        width: 40%;
    }
}
@media (max-width: 576px) {
    .filter-flex-col {
        flex-direction: column-reverse !important;
        margin-top: 18px !important;
    }
    .hr-offers {
        margin-top: 0;
    }
    .offer-container {
        padding: 0 16px;
    }
    .offer-cards-div > div {
        padding: 0;
    }
    .custom-fav-mobile {
        display: flex;
    }
    .search-container {
        padding: 0 20px;
    }

    .services_provider_card {
        padding: 16px !important;
    }
    .serv-logo img {
        margin: 40px 0;
    }
    .head-text-request h4 {
        padding: 54px 0 10px;
    }
    .request-cont {
        padding: 0 20px;
    }
    .custom-container .row {
        padding: 0;
    }
    .pending-status-button {
        font-size: 12px;
        color: #ffa800;
    }
    .offer-card img {
        width: 60px;
        height: 60px;
    }

    .offer-card {
        padding: 0 !important;
        padding-bottom: 1rem !important;
    }
    .hide-in-mobile {
        visibility: hidden;
        display: block;
        width: 100%;
    }
    .hide-in-mobiles {
        display: flex;
        flex-direction: column-reverse !important;
    }
    .custom-fav-mobile {
        visibility: visible;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    /* .res-hide {
        display: none !important;
    } */
    .projected-card .card-body > div {
        gap: 10px;
        flex-direction: column;
    }
    .request-button {
        display: none !important;
    }
    .btn-hide {
        display: flex !important;
    }
    .request-button-res {
        display: flex !important;
        margin-top: 0px;
        justify-content: center;
        align-items: center;
        justify-self: center;
    }
    .btn-div-bg {
        background-color: #e6f2ff;
        display: flex;
        margin-top: 5px;
        border-radius: 10px;
    }
    .project-card .ser-img {
        width: 50px;
        height: 50px;
    }

    .pagination {
        padding: 0;
    }
    .project-card .img-bgg {
        display: none;
    }
    .fav-card .ser-img {
        width: 50px;
        height: 50px;
    }

    .fav-card .img-bgg {
        display: none;
    }
    .offer-card .ser-img {
        width: 50px;
        height: 50px;
    }

    .offer-card .img-bgg {
        display: none;
    }
    .rest-filter {
        display: none !important;
    }
    .butn-res {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .buutn {
        display: none;
    }
    .increase-width-mobile {
        width: 100% !important;
        margin: 20px 0 0;
    }
    .favourits {
        margin: 20px 0 0;
    }
    .cardd-ser {
        flex-direction: column;
    }
    .header-image {
        display: none;
    }
    .custom-bg {
        padding: 20px 0;
    }
    .notify-card {
        padding: 10px !important;
    }

    .custom-filter-section {
        padding: 0 !important;
        margin-bottom: 0px !important;
    }

    .custom-footer-section {
        padding: 0 20px !important;
    }

    .cutom-responsive-styles {
        margin-bottom: 1rem !important;
        margin-top: 1rem !important;
        padding: 0 !important;
        padding-right: 19px !important;
    }

    .filter-by-responsive {
        width: 110px;
    }

    .res-padding {
        padding: 0 !important;
    }

    .custom-heart-btn {
        padding-top: 5px;
    }

    .custom-label-text {
        font-size: 14px !important;
        line-height: 21px !important;
        text-wrap: nowrap;
    }
    .custom-notify-div {
        padding: 0 20px;
    }
    .custom-selects {
        width: 100% !important;
    }
    .custom-ress-offer {
        padding: 0;
        gap: 8px;
    }
    .input-group {
        width: 100% !important;
    }
}

@media (max-width: 365px) {
    .responsive-100-width {
        width: 100% !important;
        /* margin-bottom: 1rem !important; */
        margin-top: 1rem !important;
    }

    .res-hide {
        flex-direction: column !important;
        margin-bottom: 1rem !important;
        margin-top: 1rem !important;
        margin: 0 0 0 15px;
    }

    .form-select {
        width: 100% !important;
    }
}
